ChangeSet 1.879.9.25, 2003/01/07 15:45:31-08:00, greg@kroah.com

[PATCH] USB serial: pass the usb_device_id to the probe() function

This is needed for drivers that want to use the driver_info field.


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Wed Jan  8 11:56:15 2003
+++ b/drivers/usb/serial/usb-serial.c	Wed Jan  8 11:56:15 2003
@@ -910,7 +910,7 @@
 			kfree (serial);
 			return -EIO;
 		}
-		retval = type->probe (serial);
+		retval = type->probe (serial, id);
 		module_put(type->owner);
 
 		if (retval < 0) {
diff -Nru a/drivers/usb/serial/usb-serial.h b/drivers/usb/serial/usb-serial.h
--- a/drivers/usb/serial/usb-serial.h	Wed Jan  8 11:56:15 2003
+++ b/drivers/usb/serial/usb-serial.h	Wed Jan  8 11:56:15 2003
@@ -231,7 +231,7 @@
 	struct list_head	driver_list;
 	struct device_driver	driver;
 
-	int (*probe) (struct usb_serial *serial);
+	int (*probe) (struct usb_serial *serial, const struct usb_device_id *id);
 	int (*attach) (struct usb_serial *serial);
 	int (*calc_num_ports) (struct usb_serial *serial);
 
